[JAMMY][UNSTABLE][LRM][PATCH 2/3] UBUNTU: [Packaging] Enforce errors in shell scripts

Dimitri John Ledkov dimitri.ledkov at canonical.com
Mon Mar 21 10:59:47 UTC 2022


Enforce error checking of all commands in shell scripts

Signed-off-by: Dimitri John Ledkov <dimitri.ledkov at canonical.com>
---
 debian/scripts/gen-rules     | 1 +
 debian/scripts/gen-rules.lrg | 1 +
 debian/scripts/gen-rules.lrm | 1 +
 debian/scripts/gen-rules.lrs | 1 +
 4 files changed, 4 insertions(+)

diff --git a/debian/scripts/gen-rules b/debian/scripts/gen-rules
index 48944818a8..c5c36a60e8 100755
--- a/debian/scripts/gen-rules
+++ b/debian/scripts/gen-rules
@@ -1,4 +1,5 @@
 #!/bin/bash
+set -e
 
 src_package=$(LC_ALL=C dpkg-parsechangelog -SSource)
 case "$src_package" in
diff --git a/debian/scripts/gen-rules.lrg b/debian/scripts/gen-rules.lrg
index 8843026987..264b21429d 100755
--- a/debian/scripts/gen-rules.lrg
+++ b/debian/scripts/gen-rules.lrg
@@ -1,4 +1,5 @@
 #!/bin/bash
+set -e
 
 # Pick out relevant version and package information including our predecessor
 # packages: linux -> linux-restricted-modules-signatures -> linux-restricted-modules
diff --git a/debian/scripts/gen-rules.lrm b/debian/scripts/gen-rules.lrm
index ce9654b4ba..dc414efe2b 100755
--- a/debian/scripts/gen-rules.lrm
+++ b/debian/scripts/gen-rules.lrm
@@ -1,4 +1,5 @@
 #!/bin/bash
+set -e
 
 # Pick out relevant version and package information including our predecessor
 # packages: linux -> linux-restricted-modules-signatures -> linux-restricted-modules
diff --git a/debian/scripts/gen-rules.lrs b/debian/scripts/gen-rules.lrs
index c28fc2f66b..b3813365da 100755
--- a/debian/scripts/gen-rules.lrs
+++ b/debian/scripts/gen-rules.lrs
@@ -1,4 +1,5 @@
 #!/bin/bash
+set -e
 
 # Pick out relevant version and package information including our predecessor
 # packages: linux-restricted-generate -> linux-restricted-signatures -> linux-restricted-modules
-- 
2.32.0




More information about the kernel-team mailing list